<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_margin="@dimen/common_padding"
        android:scrollbars="none"
        tools:ignore="UselessParent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:id="@+id/sift_menu"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/common_padding"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/company_name"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:id="@+id/company_name"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:gravity="end"
                        android:hint="@string/please_select"
                        android:singleLine="true"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"

                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:text="@string/seller"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:id="@+id/seller"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="@dimen/common_padding"
                        android:layout_weight="1"
                        android:gravity="end"
                        android:hint="@string/please_select"
                        android:singleLine="true"
                        android:textColorHint="@color/hint_text_color"
                        android:textSize="@dimen/text_size_medium" />
                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/line"
                    android:layout_marginTop="@dimen/common_padding"
                    android:layout_marginBottom="@dimen/common_padding"
                    android:background="@color/line_color" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/year_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@drawable/shape_corner_rise"
                android:orientation="vertical">

                <ProgressBar
                    android:id="@+id/year_loading"
                    android:layout_width="match_parent"
                    android:layout_height="80dp"
                    android:indeterminateTint="@color/white" />

                <LinearLayout
                    android:id="@+id/year_title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:layout_weight="1"
                        android:text="@string/annual_sales_revenue"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_large"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/year"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:drawablePadding="@dimen/common_padding"
                        android:gravity="end"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_large"
                        android:textStyle="bold"
                        app:drawableEndCompat="@mipmap/icon_selection" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/year_detail"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/year_total_revenue"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:layout_weight="1"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:gravity="end"
                        android:text="@string/year_yoy"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:id="@+id/year_yoy"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:gravity="end"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_medium" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/quarter_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@drawable/shape_corner_rise"
                android:orientation="vertical">

                <ProgressBar
                    android:id="@+id/quarter_loading"
                    android:layout_width="match_parent"
                    android:layout_height="80dp"
                    android:indeterminateTint="@color/white" />

                <LinearLayout
                    android:id="@+id/quarter_title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:layout_weight="1"
                        android:text="@string/quarterly_sales_revenue"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_large"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/quarterly"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:drawablePadding="@dimen/common_padding"
                        android:gravity="end"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_large"
                        android:textStyle="bold"
                        app:drawableEndCompat="@mipmap/icon_selection" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/quarter_detail"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/quarterly_total_revenue"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:layout_weight="1"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:gravity="end"
                        android:text="@string/quarterly_yoy"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:id="@+id/quarterly_yoy"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:gravity="end"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_medium" />

                </LinearLayout>

            </LinearLayout>

            <LinearLayout
                android:id="@+id/month_info"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding"
                android:background="@drawable/shape_corner_rise"
                android:orientation="vertical">

                <ProgressBar
                    android:id="@+id/month_loading"
                    android:layout_width="match_parent"
                    android:layout_height="80dp"
                    android:indeterminateTint="@color/white" />

                <LinearLayout
                    android:id="@+id/month_title"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:layout_weight="1"
                        android:text="@string/month_sales_revenue"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_large"
                        android:textStyle="bold" />

                    <TextView
                        android:id="@+id/month"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:drawablePadding="@dimen/common_padding"
                        android:gravity="end"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_large"
                        android:textStyle="bold"
                        app:drawableEndCompat="@mipmap/icon_selection" />

                </LinearLayout>

                <LinearLayout
                    android:id="@+id/month_detail"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:visibility="gone">

                    <TextView
                        android:id="@+id/month_total_revenue"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:layout_weight="1"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:gravity="end"
                        android:text="@string/month_yoy"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_medium" />

                    <TextView
                        android:id="@+id/month_yoy"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_margin="@dimen/common_padding"
                        android:gravity="end"
                        android:textColor="@color/white"
                        android:textSize="@dimen/text_size_medium" />

                </LinearLayout>

            </LinearLayout>

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding_heavy"
                android:text="@string/customer_type_statistics"
                android:textColor="@color/text_color_blue"
                android:textSize="@dimen/text_size_large"
                android:textStyle="bold" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding_large"
                android:layout_marginBottom="@dimen/common_padding_large"
                android:background="@color/line_color" />

            <com.github.mikephil.charting.charts.PieChart
                android:id="@+id/customer_type_chart"
                android:layout_width="match_parent"
                android:layout_height="400dp"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/common_padding_heavy"
                android:text="@string/customer_level_statistics"
                android:textColor="@color/text_color_blue"
                android:textSize="@dimen/text_size_large"
                android:textStyle="bold" />

            <View
                android:layout_width="match_parent"
                android:layout_height="@dimen/line"
                android:layout_marginTop="@dimen/common_padding_large"
                android:layout_marginBottom="@dimen/common_padding_large"
                android:background="@color/line_color" />

            <com.github.mikephil.charting.charts.PieChart
                android:id="@+id/customer_level_chart"
                android:layout_width="match_parent"
                android:layout_height="400dp"
                android:layout_marginTop="@dimen/common_padding"
                android:layout_marginBottom="@dimen/common_padding" />

        </LinearLayout>

    </ScrollView>

</LinearLayout>